
From: Dominik Brodowski <linux@dominikbrodowski.net>

Enable 32-bit memory windows on pd6729 PCI-PCMCIA bridges.

Signed-off-by: Jarkko Raja <jar@pcuf.fi>
Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/pcmcia/pd6729.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/pcmcia/pd6729.c~pcmcia-enable-32-bit-memory-windows-on-pd6729 drivers/pcmcia/pd6729.c
--- 25/drivers/pcmcia/pd6729.c~pcmcia-enable-32-bit-memory-windows-on-pd6729	2005-05-03 19:14:35.000000000 -0700
+++ 25-akpm/drivers/pcmcia/pd6729.c	2005-05-03 19:14:35.000000000 -0700
@@ -744,7 +744,7 @@ static int __devinit pd6729_pci_probe(st
 
 	for (i = 0; i < MAX_SOCKETS; i++) {
 		socket[i].io_base = pci_resource_start(dev, 0);
-		socket[i].socket.features |= SS_CAP_PCCARD;
+		socket[i].socket.features |= SS_CAP_PAGE_REGS | SS_CAP_PCCARD;
 		socket[i].socket.map_size = 0x1000;
 		socket[i].socket.irq_mask = mask;
 		socket[i].socket.pci_irq  = dev->irq;
_
